//@ts-ignore: Cannot find module '@wordpress/components' or its corresponding type declarations.
import { Icon } from '@wordpress/components';
import { image, video, link, resizeCornerNE, warning, wordpress } from '@wordpress/icons';

export default function ImageGroupIcon({imageGroup}:any){
    switch(imageGroup.type) {
        case 'wpMedia':
            return <Icon icon={image}/>
        case 'urlList':
            return  <Icon icon={link}/>
        case 'wpVideo':
            return <Icon icon={wordpress}/>          
        case 'urlVideo':
            return <Icon icon={video}/>                    
        case 'gap':
            return <Icon icon={resizeCornerNE}/>
        default :
            return <Icon icon={warning}/>
    }   
}
